| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::app_team Class Reference

Represents a team of users who maintain a bot/application. More...

`#include <application.h>`

Collaboration diagram for dpp::app_team:
[legend]

## Public Attributes

utility::iconhash | icon
| A hash of the image of the team's icon (may be empty).
snowflake | id
| The id of the team.
std::vector< team_member > | members
| The members of the team.
std::string | name
| The name of the team.
snowflake | owner_user_id
| The user id of the current team owner.

## Detailed Description

Represents a team of users who maintain a bot/application.

## Member Data Documentation

## ◆ icon

utility::iconhash dpp::app_team::icon

A hash of the image of the team's icon (may be empty).

## ◆ id

snowflake dpp::app_team::id

The id of the team.

## ◆ members

std::vector<team_member> dpp::app_team::members

The members of the team.

## ◆ name

std::string dpp::app_team::name

The name of the team.

## ◆ owner_user_id

snowflake dpp::app_team::owner_user_id

The user id of the current team owner.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0